/*
btclose.c Version 0.2.0  Btree close database
Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

#include <bthash.h>

void btclose(bthdr)
btreefmt *bthdr;
   {
   int rslt;
   bthdr->reason = 0;
   rslt = close(bthdr->hndl);
   if (rslt < 0)
      {
      perror("Close error");
      bthdr->reason = SYS_ERR + errno;
      return;
      } /* if close error */
   btflustk(bthdr);
   free(bthdr->head);
   free(bthdr->tail);
   free(bthdr->node);
   free(bthdr->blk);
   free(bthdr->blkleft);
   free(bthdr->blkrght);
   free(bthdr);
   } /* btclose */
